package com.rc.httpcore.vo.response;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * info
 *
 * @author ReiChin_
 */
public class CabinetLockVo implements Parcelable {

    public String cabinetId; // 机柜ID
    public String id; // ID主键
    public String ipAddress; // 摄像头IP地址
    public String joinId; // 库存ID
    public String lockCode; // 柜锁编号
    public String lockId; // 柜锁ID
    public String lockName; // 柜锁名称
    public String lockType; // 开锁类型: 0 系统，1 入库，2 出库，3 领用，4 归还 enum LockType
    public String operateTime; // 操作时长（单位分）
    public String subId; // 实验室ID
    public String stockId; // 入库ID
    public String lockLogId; // 记录开锁的ID
    public String msgs;//返回参数

    public CabinetLockVo() {
    }

    protected CabinetLockVo(Parcel in) {
        cabinetId = in.readString();
        id = in.readString();
        ipAddress = in.readString();
        joinId = in.readString();
        lockCode = in.readString();
        lockId = in.readString();
        lockName = in.readString();
        lockType = in.readString();
        operateTime = in.readString();
        subId = in.readString();
        stockId = in.readString();
        lockLogId = in.readString();
        msgs=in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(cabinetId);
        dest.writeString(id);
        dest.writeString(ipAddress);
        dest.writeString(joinId);
        dest.writeString(lockCode);
        dest.writeString(lockId);
        dest.writeString(lockName);
        dest.writeString(lockType);
        dest.writeString(operateTime);
        dest.writeString(subId);
        dest.writeString(stockId);
        dest.writeString(lockLogId);
        dest.writeString(msgs);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<CabinetLockVo> CREATOR = new Creator<CabinetLockVo>() {
        @Override
        public CabinetLockVo createFromParcel(Parcel in) {
            return new CabinetLockVo(in);
        }

        @Override
        public CabinetLockVo[] newArray(int size) {
            return new CabinetLockVo[size];
        }
    };
}
